<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Source: config/LoggingConfig.js</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Source: config/LoggingConfig.js</h1>

    



    
    <section>
        <article>
            <pre class="prettyprint source linenums"><code>"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Provides the configuration for logging
 * @class
 * @author Farooq Ilyas
 */
class LoggingConfiguration {
    /**
     * @constructor
     */
    constructor() {
        this.loggingConfig = {
            file: {
                level: "info",
                filename: "user-service.log",
                handleExceptions: true,
                json: true,
                maxsize: 5242880,
                maxFiles: 100,
                colorize: true
            },
            console: {
                level: (process.env.NODE_ENV == "development") ? "info" : "none",
                handleExceptions: true,
                json: false,
                colorize: true
            },
            directory: __dirname
        };
    }
    /**
     * Returns the logging configuration
     * @returns {LoggingConfig} JSON logging configuration
     */
    getLoggingConfig() {
        return this.loggingConfig;
    }
}
exports.loggingConfig = new LoggingConfiguration();
</code></pre>
        </article>
    </section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Classes</h3><ul><li><a href="BaseRouter.html">BaseRouter</a></li><li><a href="Configs.html">Configs</a></li><li><a href="CustomErrorHandler.html">CustomErrorHandler</a></li><li><a href="Database.html">Database</a></li><li><a href="DBConfig.html">DBConfig</a></li><li><a href="LoggingConfiguration.html">LoggingConfiguration</a></li><li><a href="Middleware.html">Middleware</a></li><li><a href="Server.html">Server</a></li><li><a href="ServerConfiguration.html">ServerConfiguration</a></li><li><a href="UserController.html">UserController</a></li><li><a href="UserModel.html">UserModel</a></li><li><a href="UserRouter.html">UserRouter</a></li><li><a href="UserService.html">UserService</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc3/jsdoc">JSDoc 3.5.5</a> on Mon Jul 02 2018 23:16:09 GMT+0100 (GMT Daylight Time)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>
